Subject: Re: [CCAMP] Some comments on draft-ietf-ccamp-ospf-availability-extension-02

From: "Yemin (Amy)" <[email-masked]>
Date: Wed, 5 Aug 2015 02:31:26 +0000

Hi Lou,

Thanks very much for the comments, please see my reply below.

Sorry for the late reply.

BR,

Amy

-----Original Message-----
From: Lou Berger [mailto:[email-masked]]
Sent: Sunday, July 26, 2015 12:21 AM
To: [email-masked]; CCAMP; TEAS WG
Subject: Some comments on draft-ietf-ccamp-ospf-availability-extension-02

Hi,

    I reviewed this document from the perspective of how generalized it is in its current form.  I think it does apply to multiple technology and is close to ready for a joint last call, but do have a few comments:

Abstract:

- States applies to PSC

[Amy] Sorry, I didn’t get your point here. Are you suggesting generalize the abstract text so it's not just for PSC?

Sections 1

- (general comment) informative sections such as Intro and Overview shouldn't contain normative (RFC2119) language.  See http://trac.tools.ietf.org/wg/teas/trac/wiki/PSGuidelines for some suggested guidelines.

[Amy] Will go over these sections and update.

Section 2

- You mention "by the PE node" (and in two other places in the document).  I have don't understand why "PE" is being introduced.

Perhaps you mean simply "a node"?

[Amy] Yes, just simply “a node”, will remove “PE”.

Section 3.1

- You duplicate a format definition from RFC4203.  I think this should be replaced with a simple sentence stating that "The Interface Switching Capacity Descriptor (ISCD) sub-TLV is defined in Section 1.4 of [RFC 4203]".

- More significantly you are actually changing its format, and in particular taking 8 bits from the existing reserved field:

      A new AI field is defined in this document.

- Taking bits from the reserved field is a major change and needs to be justified.  The purpose *and the use* of this new field, Availability Index, is unclear in the document.  It needs to be, or better yet, drop it.

[Amy] Sorry, the use of field was not clearly stated in the document. The initial idea was, when the Availability TLV are carried for multiple times, the “Availability Index” is used to explain the correspondence between ISCD TLV and Availability TLV.

But since Availability is defined as a sub TLV of ISCD, it seems unnecessary to keep this field. I will update the text accordingly.

Section 3.2:

- Why limit Availability information to PSC and LSC?

[Amy] PSC and LSC are two technologies could be applicable at this moment, and the text states “MAY be PSC-1, LSC” which indicates further possibility.

Actually it was you to suggest using “MAY” in the previous email.  I don’t mind if PSC/LSC was deleted completely.

Section 6.1

- A number of references listed as Normative are not required to implement the mechanisms in the document and therefore should be identified as Informative.

[Amy] Thanks for pointing it out. Will update references list.

I look forward to your responses.

Thanks,

Lou

---

From: Lou Berger <[email-masked]>
Date: Wed, 05 Aug 2015 06:25:55 -0400

Hi Amy,

I look forward to the update and think it should be ready for a joint LC at 
that point.

See below for on response inline.

On August 4, 2015 10:33:17 PM "Yemin (Amy)" <[email-masked]> wrote:

>     I reviewed this document from the perspective of how generalized it is in 
>     its current form.  I think it does apply to multiple technology and is 
>     close to ready for a joint last call, but do have a few comments:
>
>
>
> Abstract:
>
> - States applies to PSC
>
> [Amy] Sorry, I didn’t get your point here. Are you suggesting generalize 
> the abstract text so it's not just for PSC?
>

Correct

Lou

>...